/* __placeholder__ */
import { ref } from 'vue';
import { useFormWidget } from './FormWidget';
import { useConfig } from '../config';
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), useConfig('NumberWidget', {
    empty: 'N/A',
    multipleOf: 0.01,
}));
const inputEl = ref();
const { value, isRequired, setValue, register, validatedMeta, validator: defaultValidator, validate, isValid, view, } = useFormWidget('NumberWidget', props);
const validator = () => {
    let el = inputEl.value;
    defaultValidator();
    if (el) {
        validatedMeta.value.validity = el.checkValidity();
        if (el.validationMessage)
            validatedMeta.value.err ??= [{ msg: el.validationMessage }];
    }
    return validatedMeta.value;
};
register({ validator, el: inputEl });
const inputHandler = (e) => {
    if (e.target instanceof HTMLInputElement) {
        if (e.target.value === '')
            setValue(undefined);
        else
            setValue(e.target.valueAsNumber);
        validate();
    }
};
const __VLS_withDefaultsArg = (function (t) { return t; })(useConfig('NumberWidget', {
    empty: 'N/A',
    multipleOf: 0.01,
}));
const __VLS_fnComponent = (await import('vue')).defineComponent({});
let __VLS_functionalComponentProps;
function __VLS_template() {
    let __VLS_ctx;
    /* Components */
    let __VLS_otherComponents;
    let __VLS_own;
    let __VLS_localComponents;
    let __VLS_components;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    if (__VLS_ctx.view) {
        (__VLS_ctx.value ?? __VLS_ctx.empty);
        // @ts-ignore
        [view, value, empty,];
    }
    else {
        __VLS_elementAsFunction(__VLS_intrinsicElements.input)({ ...{ onInput: (__VLS_ctx.inputHandler) }, required: ((__VLS_ctx.isRequired())), ...{ class: (([
                    'cfb-rounded-lg cfb-p-1.5 cfb-min-w-0 cfb-w-full cfb-appearance-none',
                    {
                        'cfb-bg-valid-100 hover:cfb-bg-valid-200': __VLS_ctx.isValid() == true,
                        'cfb-bg-danger-100 hover:cfb-bg-danger-200': __VLS_ctx.isValid() == false,
                        'cfb-bg-gray-200 hover:cfb-bg-gray-300': __VLS_ctx.isValid() == undefined,
                    },
                ])) }, type: ("number"), min: ((__VLS_ctx.minimum)), max: ((__VLS_ctx.maximum)), step: ((__VLS_ctx.multipleOf)), inputmode: ((__VLS_ctx.multipleOf == 1 ? 'numeric' : 'decimal')), ref: ("inputEl"), value: ((__VLS_ctx.value)), id: ((__VLS_ctx.widgetId ?? __VLS_ctx.path)), });
        // @ts-ignore
        (__VLS_ctx.inputEl);
        __VLS_styleScopedClasses = ([
            'cfb-rounded-lg cfb-p-1.5 cfb-min-w-0 cfb-w-full cfb-appearance-none',
            {
                'cfb-bg-valid-100 hover:cfb-bg-valid-200': isValid() == true,
                'cfb-bg-danger-100 hover:cfb-bg-danger-200': isValid() == false,
                'cfb-bg-gray-200 hover:cfb-bg-gray-300': isValid() == undefined,
            },
        ]);
        // @ts-ignore
        [value, inputHandler, isRequired, isValid, isValid, isValid, minimum, maximum, multipleOf, multipleOf, widgetId, path, inputEl,];
        if (__VLS_ctx.validatedMeta?.err?.[0].msg) {
            __VLS_elementAsFunction(__VLS_intrinsicElements.span, __VLS_intrinsicElements.span)({ ...{ class: ("cfb-mt-1 cfb-text-sm cfb-text-danger-600") }, });
            (__VLS_ctx.validatedMeta.err[0].msg);
            // @ts-ignore
            [validatedMeta, validatedMeta,];
        }
    }
    if (typeof __VLS_styleScopedClasses === 'object' && !Array.isArray(__VLS_styleScopedClasses)) {
        __VLS_styleScopedClasses['cfb-mt-1'];
        __VLS_styleScopedClasses['cfb-text-sm'];
        __VLS_styleScopedClasses['cfb-text-danger-600'];
    }
    var __VLS_slots;
    return __VLS_slots;
    const __VLS_componentsOption = {};
    let __VLS_name;
    let __VLS_defineComponent;
    const __VLS_internalComponent = __VLS_defineComponent({
        setup() {
            return {
                inputEl: inputEl,
                value: value,
                isRequired: isRequired,
                validatedMeta: validatedMeta,
                isValid: isValid,
                view: view,
                inputHandler: inputHandler,
            };
        },
        props: {},
    });
}
export default (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    props: {},
});
;
