/* __placeholder__ */
import { computed, ref } from 'vue';
import { useFormWidget } from './FormWidget';
import { useConfig } from '../config';
import { useEnum } from '../enum';
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), useConfig('StringWidget', {
    selectText: 'Select',
    empty: 'N/A',
    prefix: '',
    suffix: '',
}));
const el = ref();
const { mappedEnum } = useEnum(props);
const { value, isRequired, setValue, register, validatedMeta, validator: defaultValidator, validate, isValid, view, } = useFormWidget('StringWidget', props);
const validator = () => {
    defaultValidator();
    if (el.value) {
        validatedMeta.value.validity = el.value.checkValidity();
        if (el.value.validationMessage)
            validatedMeta.value.err ??= [{ msg: el.value.validationMessage }];
    }
    return validatedMeta.value;
};
register({ validator, el });
const inputHandler = (e) => {
    if (e.target.value === '')
        setValue(undefined);
    else
        setValue(e.target.value);
    validate();
};
const pattern = computed(() => {
    if (props.pattern instanceof RegExp)
        return props.pattern.source;
    else
        return props.pattern;
});
const formattedValue = computed(() => {
    if (props.formatFn)
        return props.formatFn(value.value);
    if (props.prefix || props.suffix)
        return `${props.prefix}${value.value}${props.suffix}`;
    else
        return value.value;
});
// onRenderTriggered(({ key, target, type }) => {
//     console.log(`Render triggered on component`, { key, target, type });
// });
const __VLS_withDefaultsArg = (function (t) { return t; })(useConfig('StringWidget', {
    selectText: 'Select',
    empty: 'N/A',
    prefix: '',
    suffix: '',
}));
const __VLS_fnComponent = (await import('vue')).defineComponent({});
let __VLS_functionalComponentProps;
function __VLS_template() {
    let __VLS_ctx;
    /* Components */
    let __VLS_otherComponents;
    let __VLS_own;
    let __VLS_localComponents;
    let __VLS_components;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    if (__VLS_ctx.view) {
        (__VLS_ctx.formattedValue ?? __VLS_ctx.empty);
        // @ts-ignore
        [view, formattedValue, empty,];
    }
    else if (Object.keys(__VLS_ctx.mappedEnum).length > 0) {
        __VLS_elementAsFunction(__VLS_intrinsicElements.select, __VLS_intrinsicElements.select)({ ...{ onChange: (__VLS_ctx.inputHandler) }, id: ((__VLS_ctx.widgetId ?? __VLS_ctx.path)), ...{ class: (([
                    'cfb-w-full cfb-rounded-lg cfb-p-1.5 cfb-appearance-none',
                    {
                        'cfb-bg-valid-100 hover:cfb-bg-valid-200': __VLS_ctx.isValid() == true,
                        'cfb-bg-danger-100 hover:cfb-bg-danger-200': __VLS_ctx.isValid() == false,
                        'cfb-bg-gray-200 hover:cfb-bg-gray-300': __VLS_ctx.isValid() == undefined,
                    },
                ])) }, placeholder: (__VLS_ctx.placeholder), required: ((__VLS_ctx.isRequired())), value: ((__VLS_ctx.value ?? '')), ref: ("el"), });
        // @ts-ignore
        (__VLS_ctx.el);
        __VLS_styleScopedClasses = ([
            'cfb-w-full cfb-rounded-lg cfb-p-1.5 cfb-appearance-none',
            {
                'cfb-bg-valid-100 hover:cfb-bg-valid-200': isValid() == true,
                'cfb-bg-danger-100 hover:cfb-bg-danger-200': isValid() == false,
                'cfb-bg-gray-200 hover:cfb-bg-gray-300': isValid() == undefined,
            },
        ]);
        __VLS_elementAsFunction(__VLS_intrinsicElements.option, __VLS_intrinsicElements.option)({ value: (""), });
        (__VLS_ctx.selectText);
        // @ts-ignore
        [mappedEnum, inputHandler, widgetId, path, isValid, isValid, isValid, placeholder, isRequired, value, el, selectText,];
        for (const [label, enumKey] of __VLS_getVForSourceType((__VLS_ctx.mappedEnum))) {
            __VLS_elementAsFunction(__VLS_intrinsicElements.option, __VLS_intrinsicElements.option)({ value: ((enumKey)), selected: ((__VLS_ctx.value == enumKey)), });
            (label);
            // @ts-ignore
            [mappedEnum, value,];
        }
    }
    else {
        __VLS_elementAsFunction(__VLS_intrinsicElements.input)({ ...{ onInput: (__VLS_ctx.inputHandler) }, id: ((__VLS_ctx.widgetId ?? __VLS_ctx.path)), required: ((__VLS_ctx.isRequired())), ...{ class: (([
                    'cfb-rounded-lg cfb-p-1.5 cfb-min-w-0 cfb-w-full cfb-appearance-none',
                    {
                        'cfb-bg-valid-100 hover:cfb-bg-valid-200': __VLS_ctx.isValid() == true,
                        'cfb-bg-danger-100 hover:cfb-bg-danger-200': __VLS_ctx.isValid() == false,
                        'cfb-bg-gray-200 hover:cfb-bg-gray-300': __VLS_ctx.isValid() == undefined,
                    },
                ])) }, type: ((__VLS_ctx.type)), minlength: ((__VLS_ctx.minLength)), maxlength: ((__VLS_ctx.maxLength)), pattern: ((__VLS_ctx.pattern)), ref: ("el"), value: ((__VLS_ctx.value)), });
        // @ts-ignore
        (__VLS_ctx.el);
        __VLS_styleScopedClasses = ([
            'cfb-rounded-lg cfb-p-1.5 cfb-min-w-0 cfb-w-full cfb-appearance-none',
            {
                'cfb-bg-valid-100 hover:cfb-bg-valid-200': isValid() == true,
                'cfb-bg-danger-100 hover:cfb-bg-danger-200': isValid() == false,
                'cfb-bg-gray-200 hover:cfb-bg-gray-300': isValid() == undefined,
            },
        ]);
        // @ts-ignore
        [inputHandler, widgetId, path, isValid, isValid, isValid, isRequired, value, el, type, minLength, maxLength, pattern,];
        if (__VLS_ctx.validatedMeta?.err?.[0].msg) {
            __VLS_elementAsFunction(__VLS_intrinsicElements.span, __VLS_intrinsicElements.span)({ ...{ class: ("cfb-mt-1 cfb-text-sm cfb-text-danger-600") }, });
            (__VLS_ctx.validatedMeta.err[0].msg);
            // @ts-ignore
            [validatedMeta, validatedMeta,];
        }
    }
    if (typeof __VLS_styleScopedClasses === 'object' && !Array.isArray(__VLS_styleScopedClasses)) {
        __VLS_styleScopedClasses['cfb-mt-1'];
        __VLS_styleScopedClasses['cfb-text-sm'];
        __VLS_styleScopedClasses['cfb-text-danger-600'];
    }
    var __VLS_slots;
    return __VLS_slots;
    const __VLS_componentsOption = {};
    let __VLS_name;
    let __VLS_defineComponent;
    const __VLS_internalComponent = __VLS_defineComponent({
        setup() {
            return {
                el: el,
                mappedEnum: mappedEnum,
                value: value,
                isRequired: isRequired,
                validatedMeta: validatedMeta,
                isValid: isValid,
                view: view,
                inputHandler: inputHandler,
                pattern: pattern,
                formattedValue: formattedValue,
            };
        },
        props: {},
    });
}
export default (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    props: {},
});
;
