import { FormSchema, IWidget } from '../FormBuilder.interface';
export declare function defineWidget<C, T, V>(widget: IWidget<T, V>): IWidget<T, V>;
export declare const StringWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    maxLength: {
        type: import("vue").PropType<number>;
    };
    minLength: {
        type: import("vue").PropType<number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    placeholder: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    type: {
        type: import("vue").PropType<string>;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    enum: {
        type: import("vue").PropType<string[]>;
    };
    enumMapperKey: {
        type: import("vue").PropType<string>;
    };
    disableEnumMapping: {
        type: import("vue").PropType<boolean>;
    };
    enumMapper: {
        type: import("vue").PropType<Record<string, string>>;
    };
    pattern: {
        type: import("vue").PropType<string | RegExp>;
    };
    selectText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    prefix: {
        type: import("vue").PropType<string>;
        default: string;
    };
    suffix: {
        type: import("vue").PropType<string>;
        default: string;
    };
    formatFn: {
        type: import("vue").PropType<(value: string) => string>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    maxLength: {
        type: import("vue").PropType<number>;
    };
    minLength: {
        type: import("vue").PropType<number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    placeholder: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    type: {
        type: import("vue").PropType<string>;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    enum: {
        type: import("vue").PropType<string[]>;
    };
    enumMapperKey: {
        type: import("vue").PropType<string>;
    };
    disableEnumMapping: {
        type: import("vue").PropType<boolean>;
    };
    enumMapper: {
        type: import("vue").PropType<Record<string, string>>;
    };
    pattern: {
        type: import("vue").PropType<string | RegExp>;
    };
    selectText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    prefix: {
        type: import("vue").PropType<string>;
        default: string;
    };
    suffix: {
        type: import("vue").PropType<string>;
        default: string;
    };
    formatFn: {
        type: import("vue").PropType<(value: string) => string>;
    };
}>>, {
    empty: string;
    selectText: string;
    prefix: string;
    suffix: string;
}, {}>>, StringConstructor>;
export declare const ObjectWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    removeAdditionalProperties: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    reserveKey: {
        type: import("vue").PropType<string[]>;
        default: () => any[];
    };
    testIdPrefix: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    removeAdditionalProperties: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    reserveKey: {
        type: import("vue").PropType<string[]>;
        default: () => any[];
    };
    testIdPrefix: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>>, {
    removeAdditionalProperties: boolean;
    reserveKey: string[];
    testIdPrefix: string;
}, {}>>, ObjectConstructor>;
export declare const TextAreaWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    default: {
        type: import("vue").PropType<string>;
    };
    maxLength: {
        type: import("vue").PropType<number>;
    };
    minLength: {
        type: import("vue").PropType<number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    rows: {
        type: import("vue").PropType<number>;
        default: number;
    };
    autoExpandHeight: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    heightLimit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    placeholder: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    default: {
        type: import("vue").PropType<string>;
    };
    maxLength: {
        type: import("vue").PropType<number>;
    };
    minLength: {
        type: import("vue").PropType<number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    rows: {
        type: import("vue").PropType<number>;
        default: number;
    };
    autoExpandHeight: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    heightLimit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    placeholder: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
}>>, {
    empty: string;
    rows: number;
    autoExpandHeight: boolean;
    heightLimit: number;
}, {}>>, StringConstructor>;
export declare const PasswordWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    maxLength: {
        type: import("vue").PropType<number>;
    };
    minLength: {
        type: import("vue").PropType<number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    pattern: {
        type: import("vue").PropType<string | RegExp>;
    };
    mask: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    maxLength: {
        type: import("vue").PropType<number>;
    };
    minLength: {
        type: import("vue").PropType<number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    pattern: {
        type: import("vue").PropType<string | RegExp>;
    };
    mask: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>>, {
    empty: string;
    mask: string;
}, {}>>, StringConstructor>;
export declare const ArrayWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    columns: {
        type: import("vue").PropType<import("../utils/columns.utils").Columns>;
        default: number;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    minItems: {
        type: import("vue").PropType<number>;
    };
    maxItems: {
        type: import("vue").PropType<number>;
    };
    joinValues: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    addable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    deletable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    movable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    emptyText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    pagination: {
        type: import("vue").PropType<boolean | {
            limit: number;
        }>;
        default: () => {
            limit: number;
        };
    };
    defaultItem: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    sortable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    background: {
        type: import("vue").PropType<false>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    columns: {
        type: import("vue").PropType<import("../utils/columns.utils").Columns>;
        default: number;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    minItems: {
        type: import("vue").PropType<number>;
    };
    maxItems: {
        type: import("vue").PropType<number>;
    };
    joinValues: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    addable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    deletable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    movable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    emptyText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    pagination: {
        type: import("vue").PropType<boolean | {
            limit: number;
        }>;
        default: () => {
            limit: number;
        };
    };
    defaultItem: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    sortable: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    background: {
        type: import("vue").PropType<false>;
    };
}>>, {
    columns: import("../utils/columns.utils").Columns;
    joinValues: boolean;
    addable: boolean;
    deletable: boolean;
    movable: boolean;
    emptyText: string;
    pagination: boolean | {
        limit: number;
    };
    defaultItem: boolean;
    sortable: boolean;
}, {}>>, ArrayConstructor>;
export declare const NumberWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    default: {
        type: import("vue").PropType<string | number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    multipleOf: {
        type: import("vue").PropType<number>;
        default: number;
    };
    minimum: {
        type: import("vue").PropType<number>;
    };
    maximum: {
        type: import("vue").PropType<number>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    default: {
        type: import("vue").PropType<string | number>;
    };
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    multipleOf: {
        type: import("vue").PropType<number>;
        default: number;
    };
    minimum: {
        type: import("vue").PropType<number>;
    };
    maximum: {
        type: import("vue").PropType<number>;
    };
}>>, {
    empty: string;
    multipleOf: number;
}, {}>>, NumberConstructor>;
export declare const BooleanWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    trueVal: {
        type: import("vue").PropType<string>;
        default: string;
    };
    falseVal: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    trueVal: {
        type: import("vue").PropType<string>;
        default: string;
    };
    falseVal: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>>, {
    empty: string;
    trueVal: string;
    falseVal: string;
}, {}>>, BooleanConstructor>;
export declare const DateWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
}>>, {
    empty: string;
}, {}>>, StringConstructor>;
export declare const DateTimeWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    template: {
        type: import("vue").PropType<(value: string) => string>;
        default: (s: any) => string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    template: {
        type: import("vue").PropType<(value: string) => string>;
        default: (s: any) => string;
    };
}>>, {
    empty: string;
    template: (value: string) => string;
}, {}>>, StringConstructor>;
export declare const SectionWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>>, {
    title: string;
}, {}>>, unknown>;
export declare const Section: (title: string, formSchema?: Partial<FormSchema>, key?: number | string | symbol) => {
    [x: string]: any;
};
export declare const FileWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    fileSizeBytesLimit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    fileSizeBytesLimitText: {
        type: import("vue").PropType<(limit: number) => string>;
        default: (limit: any) => string;
    };
    fileNumberLimit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    fileSizeBytesLimitErr: {
        type: import("vue").PropType<string>;
        default: string;
    };
    fileNumberLimitText: {
        type: import("vue").PropType<(limit: number) => string>;
        default: (limit: any) => string;
    };
    fileNumberLimitErr: {
        type: import("vue").PropType<string>;
        default: string;
    };
    fileRequiredErr: {
        type: import("vue").PropType<string>;
    };
    uploadText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    uploadButton: {
        type: import("vue").PropType<string | false>;
        default: string;
    };
    uploadFn: {
        type: import("vue").PropType<(file: File, options: {
            progress: (percentage: number) => void;
            form: import("../FormBuilder.interface").FormBuilderContext;
        }) => Promise<any>>;
        default: (_: any, { progress }: {
            progress: any;
        }) => Promise<void>;
    };
    mimeTypeLimit: {
        type: import("vue").PropType<string[]>;
    };
    mimeTypeLimitErr: {
        type: import("vue").PropType<string>;
        default: string;
    };
    mimeTypeLimitText: {
        type: import("vue").PropType<(limit: string[]) => string>;
        default: (limit: any) => string;
    };
    autoUpload: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    uploadOnExport: {
        type: import("vue").PropType<boolean>;
    };
}, {
    upload: () => Promise<void>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    fileSizeBytesLimit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    fileSizeBytesLimitText: {
        type: import("vue").PropType<(limit: number) => string>;
        default: (limit: any) => string;
    };
    fileNumberLimit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    fileSizeBytesLimitErr: {
        type: import("vue").PropType<string>;
        default: string;
    };
    fileNumberLimitText: {
        type: import("vue").PropType<(limit: number) => string>;
        default: (limit: any) => string;
    };
    fileNumberLimitErr: {
        type: import("vue").PropType<string>;
        default: string;
    };
    fileRequiredErr: {
        type: import("vue").PropType<string>;
    };
    uploadText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    uploadButton: {
        type: import("vue").PropType<string | false>;
        default: string;
    };
    uploadFn: {
        type: import("vue").PropType<(file: File, options: {
            progress: (percentage: number) => void;
            form: import("../FormBuilder.interface").FormBuilderContext;
        }) => Promise<any>>;
        default: (_: any, { progress }: {
            progress: any;
        }) => Promise<void>;
    };
    mimeTypeLimit: {
        type: import("vue").PropType<string[]>;
    };
    mimeTypeLimitErr: {
        type: import("vue").PropType<string>;
        default: string;
    };
    mimeTypeLimitText: {
        type: import("vue").PropType<(limit: string[]) => string>;
        default: (limit: any) => string;
    };
    autoUpload: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    uploadOnExport: {
        type: import("vue").PropType<boolean>;
    };
}>>, {
    empty: string;
    fileSizeBytesLimit: number;
    fileSizeBytesLimitText: (limit: number) => string;
    fileNumberLimit: number;
    fileSizeBytesLimitErr: string;
    fileNumberLimitText: (limit: number) => string;
    fileNumberLimitErr: string;
    uploadText: string;
    uploadButton: string | false;
    uploadFn: (file: File, options: {
        progress: (percentage: number) => void;
        form: import("../FormBuilder.interface").FormBuilderContext;
    }) => Promise<any>;
    mimeTypeLimitErr: string;
    mimeTypeLimitText: (limit: string[]) => string;
    autoUpload: boolean;
}, {}>>, unknown>;
export declare const CheckBoxWidget: IWidget<import("vue").Raw<import("vue").DefineComponent<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    enum: {
        type: import("vue").PropType<string[]>;
    };
    enumMapperKey: {
        type: import("vue").PropType<string>;
    };
    disableEnumMapping: {
        type: import("vue").PropType<boolean>;
    };
    enumMapper: {
        type: import("vue").PropType<Record<string, string>>;
    };
    minItems: {
        type: import("vue").PropType<number>;
        default: number;
    };
    maxItems: {
        type: import("vue").PropType<number>;
    };
    selectAllText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    deselectAllText: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    empty: {
        type: import("vue").PropType<string>;
        default: string;
    };
    widgetId: {
        type: import("vue").PropType<string>;
    };
    validate: {
        type: import("vue").PropType<boolean>;
    };
    path: {
        type: import("vue").PropType<string>;
        required: true;
    };
    required: {
        type: import("vue").PropType<boolean>;
    };
    targetPath: {
        type: import("vue").PropType<string>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    enum: {
        type: import("vue").PropType<string[]>;
    };
    enumMapperKey: {
        type: import("vue").PropType<string>;
    };
    disableEnumMapping: {
        type: import("vue").PropType<boolean>;
    };
    enumMapper: {
        type: import("vue").PropType<Record<string, string>>;
    };
    minItems: {
        type: import("vue").PropType<number>;
        default: number;
    };
    maxItems: {
        type: import("vue").PropType<number>;
    };
    selectAllText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    deselectAllText: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>>, {
    empty: string;
    minItems: number;
    selectAllText: string;
    deselectAllText: string;
}, {}>>, unknown>;
